# Create Device Fingerprint

A device fingerprint represents a string that identifies a unique device.

This endpoint is used to register the fingerprint of the device as one of the allowed devices used during an One Time Token (OTT) challenge.

This can be used to verify device fingerprint when clearing a OTT.

The request and response are encrypted using the JOSE framework. Please refer to the JOSE JWE guide to understand how encryption and decryption work.

Endpoint: POST /v1/user/partner-device-fingerprints
Security: UserToken

## Header parameters:

  - `Accept` (string, required)

  - `Accept-Encoding` (string, required)

  - `Content-Encoding` (string, required)

  - `X-tw-jose-method` (string, required)

## Response 200 fields (application/json):

  - `deviceFingerprintId` (string)
    Identifier of the device fingerprint.

  - `createdAt` (string)
    Timestamp on when the device fingerprint was created.


## Response 400 fields

## Response 409 fields
